%global __provides_exclude ^perl\\(CPAN::Meta::Requirements\\)

Summary:        A set of version requirements for a CPAN dist
Name:           perl-CPAN-Meta-Requirements
Version:        2.143
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN-Meta-Requirements
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/CPAN-Meta-Requirements-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(B) perl(Carp) perl(strict) perl(warnings) perl(File::Spec)
BuildRequires:  perl(version) >= 0.88
# For test suite
BuildRequires:  perl(Test::More) perl(IO::Handle)
Requires:       perl(B)
Requires:       perl(version) >= 0.88
Provides:       perl(CPAN::Meta::Requirements) = %(LC_ALL=C; printf '%.6f' '%{version}')
BuildArch:      noarch

%description
A CPAN::Meta::Requirements object models a set of version constraints
like those specified in the META.yml or META.json files in CPAN
distributions, and as defined by CPAN::Meta::Spec; It can be built up by
adding more and more constraints, and it will reduce them to the
simplest representation.

Logically impossible constraints will be identified immediately by
thrown exceptions.

%prep
%setup -q -n CPAN-Meta-Requirements-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test AUTHOR_TESTING=1

%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn perlcritic.rc README
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::Meta::Requirements.3*
%{_mandir}/man3/CPAN::Meta::Requirements::Range.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.143-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.143-1
- Upgrade to upstream version 2.143
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.140-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.140-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Apr 28 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.140-1
- Initial build
